Contact the ExpressVPN support team if you're stuck.
Stuck and need some help?
Talk to a Human

ExpressVPN is removing app support for Mac OS X 10.10 and below starting Aug 30, 2021. After this date, you will not be able to install or run the ExpressVPN app on OS 10.10 or below.

To continue using the ExpressVPN app on Mac:

  1. Upgrade to OS X 10.11 or above.
  2. Download and install the ExpressVPN app for your macOS version.

Need help? Contact the ExpressVPN Support Team for immediate assistance.

Was this article helpful?

We're sorry to hear that. Let us know how we can improve.

A member of our Support Team will follow up on your issue.